NextSign API
Forms

Forms Tags

Get form tags using GET /api/v2/{company}/forms/{form_id}/tags/get.

Forms Tags

Use this endpoint to retrieve the tags a form expects so you can construct a valid submit payload.

Authorization

All requests to this endpoint require authentication using a Bearer Token.

Use your NextSign API key as the bearer token for this endpoint.


Endpoint

GET https://www.nextsign.dk/api/v2/{company}/forms/{form_id}/tags/get

Path Parameters

ParameterTypeDescription
companystringYour company identifier
form_idstringUnique identifier of the form

Example Request

cURL
curl --location 'https://www.nextsign.dk/api/v2/{company}/forms/{form_id}/tags/get' \
  -H 'Authorization: Bearer YOUR_API_KEY'

Example Response

200 OK
[
  {
    "name": "customer_name",
    "tag": "customer_name",
    "value": "",
    "type": "text",
    "_id": "65d34e9df381256d6be8cb78"
  },
  {
    "name": "customer_zip",
    "tag": "customer_zip",
    "value": "",
    "type": "text",
    "_id": "65d34e9df381256d6be8cb76"
  }
]

Response Fields

FieldTypeDescription
_idstringUnique tag identifier
namestringHuman-readable tag name
tagstringTag identifier used in the template
valuestringDefault tag value
typestringTag type, for example text, number, or date

Common Error Responses

Company or form not found:

{
  "errors": [
    {
      "code": 400,
      "message": "Bad Request",
      "description": "Company not found"
    }
  ]
}

Missing bearer token:

{
  "errors": [
    {
      "code": 401,
      "message": "Unauthorized",
      "description": "Bearer token not found"
    }
  ]
}